ranges::push_back_fn Struct Reference
Actions

## Public Member Functions

template<typename T , std::size_t N>
constexpr auto | operator() (T(&val)[N]) const
template<typename T >
constexpr auto | operator() (T &&val) const
template<typename T >
constexpr auto | operator() (std::initializer_list< T > val) const
template<typename Rng , typename T >
auto | operator() (Rng &&rng, T &&t) const -> Rng requires input_range< Rng > &&can_push_back_< Rng, T > &&(range< T >||constructible_from< range_value_t< Rng >, T >)
template<typename Rng , typename T >
auto | operator() (Rng &&rng, std::initializer_list< T > t) const -> Rng requires input_range< Rng > &&can_push_back_< Rng, std::initializer_list< T >> &&constructible_from< range_value_t< Rng >, T const &>